Skip to content

Authorize

POST
/api/command/v1/authorize
curl --request POST \
--url https://api.ultimateteam.ai/api/command/v1/authorize \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "code_challenge": "example", "redirect_uri": "example", "state": "example", "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
Authorization
object
code_challenge
required
Code Challenge
string
/^[A-Za-z0-9_-]{43}$/
redirect_uri
required
Redirect Uri
string
state
required
State
string
>= 16 characters <= 512 characters
tenantId
Any of:
string format: uuid
Examplegenerated
{
"code_challenge": "example",
"redirect_uri": "example",
"state": "example",
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Successful Response

Media typeapplication/json
Response Authorize Api Command V1 Authorize Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}